Main Page Widgets Namespaces Book

# Glib::Value< float > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value< float >:

[legend]
List of all members.

### template<>
class Glib::Value< float >

## Public Types

typedef float | CppType
typedef gfloat | CType

## Public Member Functions

void | set (float data)
float | get () const

## Static Public Member Functions

GType | value_type () G_GNUC_CONST

## Member Typedef Documentation

typedef float Glib::Value<float>::CppType

typedef gfloat Glib::Value<float>::CType

## Member Function Documentation

float Glib::Value<float>::get | ( |  | ) | const

void Glib::Value<float>::set | ( | float | data | ) |

GType Glib::Value<float>::value_type | ( |  | ) | `[static]`

The documentation for this class was generated from the following file:

- value_basictypes.h